Package ghidra.app.util.viewer.field

# Class EolExtraCommentsOption

java.lang.Object
ghidra.app.util.viewer.field.EolExtraCommentsOption

All Implemented Interfaces:
  `CustomOption`

public class EolExtraCommentsOption extends Object implements CustomOption
An option class that is used by the `EolExtraCommentsPropertyEditor` to load and save option settings.

- ## Field Summary

  ### Fields inherited from interface ghidra.framework.options.CustomOption

  `CUSTOM_OPTION_CLASS_NAME_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EolExtraCommentsOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `alwaysShowAutoComments()`
  `boolean`
  `equals(Object obj)`
  `EolEnablement`
  `getAutoData()`
  `EolEnablement`
  `getAutoFunction()`
  `EolEnablement`
  `getRefRepeatable()`
  `EolEnablement`
  `getRepeatable()`
  `int`
  `hashCode()`
  `boolean`
  `isShowingAutoComments(boolean hasOtherComments)`
  `boolean`
  `isShowingRefRepeatables(boolean hasOtherComments)`
  `boolean`
  `isShowingRepeatables(boolean hasOtherComments)`
  `void`
  `readState(GProperties properties)`
  Read state from the given properties
  `void`
  `setAutoData(EolEnablement priority)`
  `void`
  `setAutoFunction(EolEnablement priority)`
  `void`
  `setRefRepeatable(EolEnablement priority)`
  `void`
  `setRepeatable(EolEnablement priority)`
  `void`
  `setUseAbbreviatedComments(boolean b)`
  `boolean`
  `useAbbreviatedComments()`
  `void`
  `writeState(GProperties properties)`
  Write state into the given properties

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.framework.options.CustomOption

  `toString`

- ## Constructor Details

  - ### EolExtraCommentsOption

    public EolExtraCommentsOption()

- ## Method Details

  - ### getRepeatable

    public EolEnablement getRepeatable()

  - ### setRepeatable

    public void setRepeatable(EolEnablement priority)

  - ### getRefRepeatable

    public EolEnablement getRefRepeatable()

  - ### setRefRepeatable

    public void setRefRepeatable(EolEnablement priority)

  - ### getAutoData

    public EolEnablement getAutoData()

  - ### setAutoData

    public void setAutoData(EolEnablement priority)

  - ### getAutoFunction

    public EolEnablement getAutoFunction()

  - ### setAutoFunction

    public void setAutoFunction(EolEnablement priority)

  - ### useAbbreviatedComments

    public boolean useAbbreviatedComments()

  - ### setUseAbbreviatedComments

    public void setUseAbbreviatedComments(boolean b)

  - ### alwaysShowAutoComments

    public boolean alwaysShowAutoComments()

  - ### isShowingRefRepeatables

    public boolean isShowingRefRepeatables(boolean hasOtherComments)

  - ### isShowingRepeatables

    public boolean isShowingRepeatables(boolean hasOtherComments)

  - ### isShowingAutoComments

    public boolean isShowingAutoComments(boolean hasOtherComments)

  - ### readState

    public void readState(GProperties properties)
    Description copied from interface: `CustomOption`
    Read state from the given properties
    Specified by:
      `readState` in interface `CustomOption`
    Parameters:
      `properties` - container of state information

  - ### writeState

    public void writeState(GProperties properties)
    Description copied from interface: `CustomOption`
    Write state into the given properties
    Specified by:
      `writeState` in interface `CustomOption`
    Parameters:
      `properties` - container of state information

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`